#!/bin/sh

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2006, 2010
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
. "$binDir"/setupCmdLine.sh

if [ -f "${JAVA_HOME}/bin/java" ]; then
    JAVA_EXE="${JAVA_HOME}/bin/java"
else
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
fi

if [ -z "${OBJECTGRID_HOME}" ]; then
	# adding environment variable for client libraries the user might optionally use
  	if [ -z "${CLIENT_AUTH_LIB}" ]; then
    	${JAVA_EXE} -classpath "$WAS_CLASSPATH" $WAS_LOGGING $CONSOLE_ENCODING "-Dws.ext.dirs=$WAS_EXT_DIRS:$WAS_HOME/plugins" "-Dwas.install.root=$WAS_HOME" "-Duser.install.root=$USER_INSTALL_ROOT" "-Dosgi.configuration.area=file:$WAS_HOME/configuration" com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.objectgrid.StopServerClient "$@"    
    else
    	${JAVA_EXE} -classpath "$WAS_CLASSPATH" $WAS_LOGGING $CONSOLE_ENCODING "-Dws.ext.dirs=$WAS_EXT_DIRS:$WAS_HOME/plugins:$CLIENT_AUTH_LIB" "-Dwas.install.root=$WAS_HOME" "-Duser.install.root=$USER_INSTALL_ROOT" "-Dosgi.configuration.area=file:$WAS_HOME/configuration" com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.objectgrid.StopServerClient "$@"
    fi;
else
# adding environment variable for client libraries the user might optionally use
  if [ -z "${CLIENT_AUTH_LIB}" ]; then
    ${JAVA_EXE} ${WXS_REAL_TIME_JAVA} -classpath "$OBJECTGRID_HOME"/lib/objectgrid.jar "$JAVA_ENDORSED_DIRS" -Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByServer=true com.ibm.ws.objectgrid.StopServerClient "$@"
  else 
	${JAVA_EXE} ${WXS_REAL_TIME_JAVA} -classpath "$OBJECTGRID_HOME"/lib/objectgrid.jar:$CLIENT_AUTH_LIB "$JAVA_ENDORSED_DIRS" -Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByServer=true com.ibm.ws.objectgrid.StopServerClient "$@"
  fi;
fi;
